import { Api } from './api';
import { TypedEmitter, TypedEvents } from '@ztimson/utils';

export type PdfEvents = TypedEvents & {
    CREATE: (pdf: Blob) => any;
};
export declare class Pdf extends TypedEmitter<PdfEvents> {
    private readonly api;
    constructor(api: Api | string);
    private handleResponse;
    fromHtml(html: string, opts?: {
        download?: boolean;
        'fileName'?: string;
    }): Promise<Blob>;
    fromUrl(url: string, opts?: {
        download?: boolean;
        'fileName'?: string;
    }): Promise<Blob>;
    fromTemplate(template: string, data: string, opts?: {
        download?: boolean;
        'fileName'?: string;
    }): Promise<Blob>;
}
//# sourceMappingURL=pdf.d.ts.map